Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# Deployment::RepositoryManager Interface Reference

`import "Deployment.idl";`

Inheritance diagram for Deployment::RepositoryManager:

[legend]
List of all members.

## Public Member Functions
void | installPackage (in string installationName, in string location) raises (NameExists, PackageError)
void | createPackage (in string installationName, in PackageConfiguration package, in string baseLocation, in boolean replace) raises (NameExists, PackageError)
PackageConfiguration | findPackageByName (in string name) raises (NoSuchName)
PackageConfiguration | findPackageByUUID (in string UUID) raises (NoSuchName)
::CORBA::StringSeq | findNamesByType (in string type)
::CORBA::StringSeq | getAllNames ()
::CORBA::StringSeq | getAllTypes ()
void | deletePackage (in string installationName) raises (NoSuchName)

## Member Function Documentation

void Deployment::RepositoryManager::createPackage | ( | in string | installationName,
|  | in PackageConfiguration | package,
|  | in string | baseLocation,
|  | in boolean | replace
| ) | raises (NameExists, PackageError)

void Deployment::RepositoryManager::deletePackage | ( | in string | installationName | ) | raises (NoSuchName)

::CORBA::StringSeq Deployment::RepositoryManager::findNamesByType | ( | in string | type | ) |

PackageConfiguration Deployment::RepositoryManager::findPackageByName | ( | in string | name | ) | raises (NoSuchName)

PackageConfiguration Deployment::RepositoryManager::findPackageByUUID | ( | in string | UUID | ) | raises (NoSuchName)

::CORBA::StringSeq Deployment::RepositoryManager::getAllNames | ( |  | ) |

::CORBA::StringSeq Deployment::RepositoryManager::getAllTypes | ( |  | ) |

void Deployment::RepositoryManager::installPackage | ( | in string | installationName,
|  | in string | location
| ) | raises (NameExists, PackageError)

The documentation for this interface was generated from the following file:

- Deployment.idl